wegry Github contribution chart
wegry Github Stats
wegry Most Used Languages

Activity

25 Sep 2022

Wegry

started

Started On 25 Sep 2022 at 12:43:27
Issue Comment

Wegry

Your test suite must contain at least one test.

Describe the bug Using

  • @storybook/addon-storyshots@6.5.6
  • @storybook/react@6.5.6
  • jest@27.5.1
  • yarn@3.2.1

To Reproduce Please create a reproduction by running npx sb@next repro and following the instructions. Read our documentation to learn more about creating reproductions. Paste your repository and deployed reproduction here. We prioritize issues with reproductions over those without.

  1. clone https://github.com/wegry/react-component-library-template2.
  2. run yarn
  3. run yarn test
  4. Note
 FAIL  src/stories.spec.tsx
  ● Test suite failed to run

    Your test suite must contain at least one test.

      at onResult (node_modules/@jest/core/build/TestScheduler.js:175:18)
      at node_modules/@jest/core/build/TestScheduler.js:316:17
      at node_modules/emittery/index.js:260:13
          at Array.map (<anonymous>)
      at Emittery.emit (node_modules/emittery/index.js:258:23) 

System Please paste the results of npx sb@next info here.

Environment Info:

  System:
    OS: macOS 12.4
    CPU: (4) x64 Intel(R) Core(TM) i5-8210Y CPU @ 1.60GHz
  Binaries:
    Node: 16.15.0 - ~/.nvm/versions/node/v16.15.0/bin/node
    Yarn: 3.2.1 - ~/.yarn/bin/yarn
    npm: 8.5.5 - ~/.nvm/versions/node/v16.15.0/bin/npm
  Browsers:
    Chrome: 102.0.5005.61
    Safari: 15.5
  npmPackages:
    @storybook/addon-actions: 6.5.6 => 6.5.6
    @storybook/addon-essentials: 6.5.6 => 6.5.6
    @storybook/addon-links: 6.5.6 => 6.5.6
    @storybook/addon-storyshots: ^6.5.6 => 6.5.6
    @storybook/react: 6.5.6 => 6.5.6 

Additional context

I did have the test suite correctly generate a snapshot once, and then never succeed again, even after removing the generated snapshots folder. I wonder if there's some sort of caching involved?

Forked On 20 Sep 2022 at 12:58:31

Wegry

@YoanDo Your test suite must contain at least one test. seems to have a number causes. If you're already using CSF, your issue is likely something different.

Commented On 20 Sep 2022 at 12:58:31

Wegry

Keydown event handling fixes
Forked On 15 Sep 2022 at 01:07:19

Wegry

Isn't this a breaking change? We might bump a major version to preserve semver.
On 15 Sep 2022 at 01:07:19

Wegry

Keydown event handling fixes
Merged On 15 Sep 2022 at 01:07:20

Wegry

Commented On 15 Sep 2022 at 01:07:20

Wegry

prepare -> prepack

Pushed On 14 Sep 2022 at 02:14:12

Wegry

yarn up 'eslint*'

Pushed On 14 Sep 2022 at 01:14:35

Wegry

Also capture keydown events at the MenuList div level

Pushed On 14 Sep 2022 at 01:14:35

Wegry

Also capture keydown events at the MenuList div level

Pushed On 14 Sep 2022 at 12:45:33

Wegry

yarn up 'eslint*'

Pushed On 14 Sep 2022 at 12:44:31

Wegry

Also capture keydown events at the MenuList div level

Created On 14 Sep 2022 at 12:39:14
Create Branch
Wegry In StreakYC/react-menu-list Create Branchmenulist-level-events

Wegry

React dropdown menu components

On 14 Sep 2022 at 12:36:51

Wegry

yarn up '@babel/*'

Created On 14 Sep 2022 at 12:22:49
Create Branch
Wegry In StreakYC/react-menu-list Create Branchbump-babel-deps

Wegry

React dropdown menu components

On 14 Sep 2022 at 12:22:26

Wegry

Update to maintained version of yarn

Created On 14 Sep 2022 at 12:19:27
Create Branch
Wegry In StreakYC/react-menu-list Create Branchyarn-3

Wegry

React dropdown menu components

On 14 Sep 2022 at 12:18:44
Issue Comment

Wegry

SyntaxError: The string did not match the expected pattern. with rollbar@2.24.0 and 2.25.1

https://github.com/rollbar/rollbar.js/blob/master/dist/rollbar.js#L5373

Seems to be throwing SyntaxError: The string did not match the expected pattern in Safari 16. In Safari 15.6, this wasn't the case.

Forked On 13 Sep 2022 at 08:45:59

Wegry

This issue might be CSP settings we have in the page around rollbar and not rollbar itself...

Commented On 13 Sep 2022 at 08:45:59

Wegry

log args prior to call

Pushed On 13 Sep 2022 at 05:46:03

Wegry

use console.log to debug

Pushed On 13 Sep 2022 at 05:28:35

Wegry

always log args/message

Pushed On 13 Sep 2022 at 02:51:16

Wegry

extra logging

Pushed On 13 Sep 2022 at 02:39:45

Wegry

Error tracking and logging from JS to Rollbar

Forked On 13 Sep 2022 at 02:38:35
Issue Comment

Wegry

TypeScript 4.8 Iteration Plan

This document outlines our focused tasks for TypeScript 4.8. It minimally indicates intent to investigate tasks or contribute to an implementation. Nothing is set in stone, but we will strive to complete these tasks in a reasonable timeframe.

Date | Event ---------------|------------------------- May 24th | TypeScript 4.7 Release June 17th | Create 4.8 Beta (4.8.0) Build for Testing June 21st | TypeScript 4.8 Beta Release August 5th | Create 4.8 RC (4.8.1) Build for Testing August 9th | TypeScript 4.8 RC Release August 19th | Create 4.8 Final (4.8.2) Build for Testing August 23th | TypeScript 4.8 Final Release 🚀

Language and Compiler Features

Editor Productivity

Performance

Infrastructure

Website

Forked On 25 Aug 2022 at 04:13:18

Wegry

@crisbeto for typescript 4.7 at least, the date planned for the final was ~5 days earlier than the final release date.

Commented On 25 Aug 2022 at 04:13:18
Issue Comment

Wegry

[Bug?]: (PnP) VSCode doesn't have "Select Workspace Version" for "Select TypeScript Version"

Self-service

  • [ ] I'd be willing to implement a fix

Describe the bug

I'm setting up a fresh monorepo with yarn 2 and pnp. When I run TypeScript: Select TypeScript Version, there is no Use Workspace Version option, only Use VS Code's version.

vscode version:

$ code -v
1.70.2
e4503b30fc78200f846c62cf8091b76ff5547662
x64 

To reproduce

This involves VSCode so I don't think a sherlock repro can capture it.

Please advise on what kind of repro information you need for this kind of bug. I assume you can just fire up vscode for any yarn 2 repo and see if it works. If this issue is not reproducible that way, then should I create a repo to check out?

Environment

System:
    OS: Linux 5.15 Ubuntu 20.04.4 LTS (Focal Fossa)
    CPU: (8) x64 Intel(R) Core(TM) i7-1065G7 CPU @ 1.30GHz
  Binaries:
    Node: 16.15.0 - /tmp/xfs-0b2c64a2/node
    Yarn: 3.2.2 - /tmp/xfs-0b2c64a2/yarn
    npm: 8.5.5 - ~/.nvm/versions/node/v16.15.0/bin/npm 

Additional context

Screenshot from 2022-08-22 13-44-12

Forked On 23 Aug 2022 at 12:38:45

Wegry

Which version of typescript is this occurring with? There may not be a yarn patch for typescript@rc (4.8) yet.

Commented On 23 Aug 2022 at 12:38:45

Wegry

started

Started On 22 Aug 2022 at 07:15:13
Issue Comment

Wegry

Yarn 3 PnP fails to run with @storybook/addon-storyshots@6.5.6 with TypeScript

Describe the bug

Without

# .yarnrc.yml
packageExtensions:
  "@storybook/addon-storyshots@6.5.6":
    dependencies:
      # https://github.com/storybookjs/storybook/pull/9536/files
      "@types/webpack-env": "1.16.3" 

Running typescript@4.7.2 will fail to load @types/webpack-env.

To Reproduce Please create a reproduction by running npx sb@next repro and following the instructions. Read our documentation to learn more about creating reproductions. Paste your repository and deployed reproduction here. We prioritize issues with reproductions over those without.

Using yarn@3.2.1 with PnP enabled, run tsc from typescript@4.7.2 on a project with @storybook/addon-storyshots@6.5.6 installed.

System

Environment Info:

  System:
    OS: macOS 12.4
    CPU: (8) arm64 Apple M1 Pro
  Binaries:
    Node: 16.15.0 - ~/.nvm/versions/node/v16.15.0/bin/node
    Yarn: 3.2.1 - /opt/homebrew/bin/yarn
    npm: 8.5.5 - ~/.nvm/versions/node/v16.15.0/bin/npm
  Browsers:
    Chrome: 102.0.5005.61
    Safari: 15.5 

Additional context Add any other context about the problem here.

Forked On 07 Jul 2022 at 04:39:54

Wegry

Closing with accompanying #18455.

Commented On 07 Jul 2022 at 04:39:54